org.jboss.resteasy.skeleton.key.jaxrs

## Class JaxrsOAuthClient

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.AbstractOAuthClient
  - - org.jboss.resteasy.skeleton.key.jaxrs.JaxrsOAuthClient

-     public class JaxrsOAuthClient
      extends AbstractOAuthClient

  Helper code to obtain oauth access tokens via browser redirects
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.skeleton.key.AbstractOAuthClient

      `authUrl, client, clientId, codeUrl, counter, password, stateCookieName, truststore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsOAuthClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBearerToken(UriInfo uriInfo, HttpHeaders headers)`
    `Response` | `redirect(UriInfo uriInfo, String redirectUri)`

    - ### Methods inherited from class org.jboss.resteasy.skeleton.key.AbstractOAuthClient

      `getAuthUrl, getClient, getClientId, getCodeUrl, getPassword, getStateCode, getStateCookieName, getTruststore, resolveBearerToken, setAuthUrl, setClient, setClientId, setCodeUrl, setPassword, setStateCookieName, setTruststore, start, stop, stripOauthParametersFromRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsOAuthClient

          public JaxrsOAuthClient()

  - ### Method Detail

    - #### redirect

          public Response redirect(UriInfo uriInfo,
                          String redirectUri)

    - #### getBearerToken

          public String getBearerToken(UriInfo uriInfo,
                              HttpHeaders headers)
                                throws BadRequestException,
                                       InternalServerErrorException

      Throws:
        `BadRequestException`
        `InternalServerErrorException`

Copyright © 2014. All Rights Reserved.